package com.atguigu.config;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Contact;
import io.swagger.v3.oas.models.info.Info;
import org.springdoc.core.models.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class Knife4jConfig {
    @Bean
    public GroupedOpenApi adminApi() {
        // 分组名称
        return GroupedOpenApi.builder().group("admin请求接口").pathsToMatch("/admin/**").build();// 接口请求路径规则
    }

    @Bean
    public OpenAPI customOpenAPI() {
        // 设定作者
        return new OpenAPI().info(new Info().title("尚品甑选API接口文档")
                .version("1.0").description("尚品甑选API接口文档").contact(new Contact().name("bunny")));
    }
}